Get account settings for an organization
curl --request GET \
--url https://accounts.livechat.com/v2/accounts/{account_id}/organization_settings/{organization_id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://accounts.livechat.com/v2/accounts/{account_id}/organization_settings/{organization_id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://accounts.livechat.com/v2/accounts/{account_id}/organization_settings/{organization_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"avatar_url": "https://api.text.com/file/accounts/avatars/b2185556-634c-4ecf-b4c9-bcf8b65bc853/ae5bd37f-64b2-416b-bbb3-4623f53e6fb8/37a190dd-77a5-4fba-a7d3-2e89eab0e8fd.jpg"
}{
"error": "unauthorized",
"error_description": "The account is not authorized.",
"request_id": "5903c51b-89f0-41a9-a25d-4f39af100353"
}{
"error": "access_denied",
"sub_error": "insufficient_scope",
"error_description": "The resource owner or authorization server denied the request.",
"request_id": "5903c51b-89f0-41a9-a25d-4f39af100353"
}{
"error": "resource_not_found",
"error_description": "The requested resource couldn't be found.",
"resource_name": "account",
"resource_id": "def31e95-5ca4-4817-b176-732e4544daca",
"request_id": "5903c51b-89f0-41a9-a25d-4f39af100353"
}{
"error": "invalid_request",
"error_description": "The request is missing a required parameter, includes an invalid parameter value, includes a parameter more than once, or is otherwise malformed.",
"invalid_fields": {
"email": "invalid email address"
},
"request_id": "5903c51b-89f0-41a9-a25d-4f39af100353"
}{
"error": "server_error",
"error_description": "The server encountered an unexpected condition that prevented it from fulfilling the request.",
"request_id": "5903c51b-89f0-41a9-a25d-4f39af100353"
}AccountOrganizationSettings
Get account settings for an organization
This HTTP endpoint allows you to retrieve a list of account organization settings.
These settings are tailored to each organization, providing customized configurations for their accounts.
For global settings, you can use the /accounts endpoint.
The account_id parameter is interchangeable with me, the organization_id parameter is interchangeable with my. The values will be sourced from authorization in such cases.
GET
/
accounts
/
{account_id}
/
organization_settings
/
{organization_id}
Get account settings for an organization
Required scopes:
accounts--my:ro, accounts--all:roAuthorizations
PersonalAccessTokenOAuth2BearerToken
Use your account ID as the username and your personal access token (PAT) as the password, or pass a Base64-encoded value directly in the Authorization header. For more information, see the personal access tokens guide.
Path Parameters
Response
Object with account properties specific for a given organization.
Was this page helpful?
⌘I